package cokr.xit.ens.modules.common.ctgy.intgrnbill.support.code;

import cokr.xit.ens.core.code.CodeMapperType;


/**
 * <ul>
 * <li>업무 그룹명: 청구서API - 청구서 로그 구분</li>
 * <li>설 명: 이용시스템과 벤더사의 연계 오류를 구분하기 위한 코드 값. 응답메시지에 사용하며 업무 로직에는 사용되지 않는다.</li>
 * <li>작성일: 2023. 2. 25. 오후 3:51:43
 * </ul>
 *
 * @author 박민규
 */
public enum BillLogSeCd implements CodeMapperType {

    US("이용시스템"),
    VD("벤더")
    ;

    private final String code;     
    private final String codeNm;   

    BillLogSeCd(String codeNm) {
        this.code = this.name();
        this.codeNm = codeNm;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    @Override
    public String getCodeNm() {
        return this.codeNm;
    }
}
